INTERFACE
SUBROUTINE GPSZEN_DELAY(KDLEN,KLEN,KDCOUNT,KCOUNT,&
 & PRESH5,PGEOH5,PTF5,PQF5,&
 & POROGOB,PRESOB,&
 & KDPP,PZEN_DELAY,&
 & PZHD_DELAY,PZWD_DELAY) 
USE PARKIND1 , ONLY : JPIM, JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM), INTENT(IN) :: KDLEN, KLEN,KDCOUNT,KCOUNT(KDLEN),KDPP
REAL(KIND=JPRB), INTENT(IN) :: PRESH5(KDLEN,0:NFLEVG),PGEOH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB), INTENT(IN) :: PTF5(KDLEN,0:NFLEVG),PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB), INTENT(IN) :: POROGOB(KDLEN),PRESOB(KDLEN,KDCOUNT)
REAL(KIND=JPRB), INTENT(OUT) :: PZEN_DELAY(KDLEN,KDCOUNT,KDPP)
REAL(KIND=JPRB), INTENT(OUT), OPTIONAL :: PZHD_DELAY(KDLEN,KDCOUNT,KDPP)
REAL(KIND=JPRB), INTENT(OUT), OPTIONAL :: PZWD_DELAY(KDLEN,KDCOUNT,KDPP)
END SUBROUTINE GPSZEN_DELAY
END INTERFACE
